commit ced4e9e45fb2b59bf9d86cdb0412ee5225901514
Author: freddy77 <freddy77>
Date:   Tue Apr 21 13:41:05 2009 +0000

    improve sybase build script

diff --git a/ChangeLog b/ChangeLog
index 5785f93..1eadb31 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Apr 21 15:39:35 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/sybase_tests: improve
+
 Tue Apr 21 11:43:31 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/prepare_win32.sh: batch for dblib tests
 
@@ -1497,4 +1500,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2774 2009/04/21 09:44:30 freddy77 Exp $
+$Id: ChangeLog,v 1.2775 2009/04/21 13:41:05 freddy77 Exp $
diff --git a/misc/sybase_tests b/misc/sybase_tests
index 35c4924..1bb59d9 100755
--- a/misc/sybase_tests
+++ b/misc/sybase_tests
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# $Id: sybase_tests,v 1.2 2009/04/17 17:16:28 freddy77 Exp $
+# $Id: sybase_tests,v 1.3 2009/04/21 13:41:07 freddy77 Exp $
 # these commands build dblib tests using Sybase dblib
 
 errore() {
@@ -22,29 +22,24 @@ set -e
 make -j4
 TESTS_ENVIRONMENT=true make -j4 check
 
-handle_exit() {
-	echo Exiting
-	if test -r "$MAINDIR/src/dblib/unittests/Makefile.no_sybase"; then
-		cp -f "$MAINDIR/src/dblib/unittests/Makefile.no_sybase" "$MAINDIR/src/dblib/unittests/Makefile" && rm -f "$MAINDIR/src/dblib/unittests/Makefile.no_sybase"
-	fi
-	rm -f "$MAINDIR/src/dblib/unittests/sqlfront.h" "$MAINDIR/src/dblib/unittests/sqldb.h"
-}
-
 # rebuild tests
 cd src/dblib/unittests
-rm -f *.o *.exe
-make clean
+if test ! -r Makefile.no_sybase -o Makefile -nt Makefile.no_sybase; then
+	rm -f Makefile.no_sybase
+	echo '#include <sybfront.h>' > sqlfront.h
+	echo '#include <sybdb.h>' > sqldb.h
+	perl -pi.no_sybase -e "\$_ =~ s{ -I\\\$\\(top_(build|src)dir\\)/include}{ -I$SYBASE/$OCSDIR/include -I\\\$(top_builddir)/include} if (/^(DEFAULT_INCLUDES|AM_CPPFLAGS)\s*=/);
+\$_ =~ s{../libsybdb.la}{-lsybdb -lsybunic} if (/^LIBS\s*=/);
+\$_ =~ s{-L../.libs -R \\\$\\(abs_builddir\\)/../.libs}{-L$SYBASE/$OCSDIR/lib} if (/^AM_LDFLAGS\s*=/);
+" Makefile
+	touch Makefile.no_sybase
+	rm -f *.o *.exe
+	make clean
+fi
 if test "$LD_RUN_PATH" != ""; then
 	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib:$LD_RUN_PATH"
 else
 	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib"
 fi
-trap handle_exit EXIT
-echo '#include <sybfront.h>' > sqlfront.h
-echo '#include <sybdb.h>' > sqldb.h
-perl -pi.no_sybase -e "\$_ =~ s{ -I\\\$\\(top_(build|src)dir\\)/include}{ -I$SYBASE/$OCSDIR/include -I\\\$(top_builddir)/include} if (/^(DEFAULT_INCLUDES|AM_CPPFLAGS)\s*=/);
-\$_ =~ s{../libsybdb.la}{-lsybdb -lsybunic} if (/^LIBS\s*=/);
-\$_ =~ s{-L../.libs -R \\\$\\(abs_builddir\\)/../.libs}{-L$SYBASE/$OCSDIR/lib} if (/^AM_LDFLAGS\s*=/);
-" Makefile
 TESTS_ENVIRONMENT=true make -j4 check 
 

